From f9facd01dfa1a1f963ab9fb40af1905a14eeaea8 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 29 Mar 2017 12:57:39 +0200
Subject: [PATCH] Use American English in error message

All error messages use the American English spelling of recognize,
apply to the single one not doing so to be consistent.
---
 src/bin/pg_waldump/pg_waldump.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/bin/pg_waldump/pg_waldump.c b/src/bin/pg_waldump/pg_waldump.c
index bfe44b8..6c084dd 100644
--- a/src/bin/pg_waldump/pg_waldump.c
+++ b/src/bin/pg_waldump/pg_waldump.c
@@ -866,7 +866,7 @@ main(int argc, char **argv)
 						config.stats_per_record = true;
 					else if (strcmp(optarg, "rmgr") != 0)
 					{
-						fprintf(stderr, _("%s: unrecognised argument to --stats: %s\n"),
+						fprintf(stderr, _("%s: unrecognized argument to --stats: %s\n"),
 								progname, optarg);
 						goto bad_argument;
 					}
-- 
2.6.4 (Apple Git-63)

